using ComputerStoreContracts.BindingModels;
using ComputerStoreContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerStoreContracts.StoragesContracts;

public interface IRequestStorageContract
{
    List<RequestViewModel> GetFullList();
    List<RequestViewModel> GetFilteredList(RequestBindingModel model);
    RequestViewModel GetElement(RequestBindingModel model);
    RequestViewModel Insert(RequestBindingModel model);
    RequestViewModel Update(RequestBindingModel model);
    RequestViewModel Delete(RequestBindingModel model);
}